Bug 493445 - (CVE-2008-6679) CVE-2008-6679 ghostscript: Buffer overflow in BaseFont writer module for pdfwrite device
CVE-2008-6679 ghostscript: Buffer overflow in BaseFont writer module for pdfw...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20090120,public=20081222,sou...
: Security
Depends On: 480775 491857 491858 495915 495916
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 15:16 EDT by Jan Lieskovsky
Modified: 2010-12-23 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 17:50:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PoC proving presence of the flaw (31.95 KB, image/x-eps)
2009-04-01 15:23 EDT, Jan Lieskovsky
no flags Details

  None (edit)
Comment 1 Jan Lieskovsky 2009-04-01 15:23:32 EDT
Created attachment 337627 [details]
PoC proving presence of the flaw
Comment 2 Jan Lieskovsky 2009-04-01 15:27:23 EDT
A buffer overflow flaw was found in Ghostscript's BaseFont writer module
for pdfwrite device. An attacker could create a specially-crafted Postscript file
which could cause ps2pdf to crash, or, potentially execute arbitrary
code, when ps2pdf was used to convert it to equivalent PDF file.

References:
http://bugs.ghostscript.com/show_bug.cgi?id=690211
http://svn.ghostscript.com/viewvc?view=rev&sortby=rev&revision=9304
Comment 4 Jan Lieskovsky 2009-04-09 04:58:13 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-6679 to
the following vulnerability:

Buffer overflow in the BaseFont writer module in Ghostscript 8.62, and
possibly other versions, allows remote attackers to cause a denial of
service (ps2pdf crash) and possibly execute arbitrary code via a
crafted Postscript file.
Comment 5 errata-xmlrpc 2009-04-14 13:54:11 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0421 https://rhn.redhat.com/errata/RHSA-2009-0421.html
Comment 7 Fedora Update System 2009-04-15 13:11:09 EDT
ghostscript-8.63-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ghostscript-8.63-3.fc9
Comment 8 Fedora Update System 2009-04-15 17:49:28 EDT
ghostscript-8.63-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-04-15 17:50:01 EDT
ghostscript-8.63-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.